Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network138.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
138.0.0.0
Broadcast address
139.255.255.255
First usable
138.0.0.1
Last usable
139.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 8A000000 · Integer 2315255808 to 2348810239
Reverse DNS zones
138.in-addr.arpa
139.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001010.00000000.00000000.00000000138.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10001010.00000000.00000000.00000000138.0.0.0
Broadcast10001011.11111111.11111111.11111111139.255.255.255
Split into smaller subnets/17

138.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1138.0.0.0/17138.0.0.1 to 138.0.127.254138.0.127.25532,766
2138.0.128.0/17138.0.128.1 to 138.0.255.254138.0.255.25532,766
3138.1.0.0/17138.1.0.1 to 138.1.127.254138.1.127.25532,766
4138.1.128.0/17138.1.128.1 to 138.1.255.254138.1.255.25532,766
5138.2.0.0/17138.2.0.1 to 138.2.127.254138.2.127.25532,766
6138.2.128.0/17138.2.128.1 to 138.2.255.254138.2.255.25532,766
7138.3.0.0/17138.3.0.1 to 138.3.127.254138.3.127.25532,766
8138.3.128.0/17138.3.128.1 to 138.3.255.254138.3.255.25532,766
9138.4.0.0/17138.4.0.1 to 138.4.127.254138.4.127.25532,766
10138.4.128.0/17138.4.128.1 to 138.4.255.254138.4.255.25532,766
11138.5.0.0/17138.5.0.1 to 138.5.127.254138.5.127.25532,766
12138.5.128.0/17138.5.128.1 to 138.5.255.254138.5.255.25532,766
13138.6.0.0/17138.6.0.1 to 138.6.127.254138.6.127.25532,766
14138.6.128.0/17138.6.128.1 to 138.6.255.254138.6.255.25532,766
15138.7.0.0/17138.7.0.1 to 138.7.127.254138.7.127.25532,766
16138.7.128.0/17138.7.128.1 to 138.7.255.254138.7.255.25532,766
17138.8.0.0/17138.8.0.1 to 138.8.127.254138.8.127.25532,766
18138.8.128.0/17138.8.128.1 to 138.8.255.254138.8.255.25532,766
19138.9.0.0/17138.9.0.1 to 138.9.127.254138.9.127.25532,766
20138.9.128.0/17138.9.128.1 to 138.9.255.254138.9.255.25532,766
21138.10.0.0/17138.10.0.1 to 138.10.127.254138.10.127.25532,766
22138.10.128.0/17138.10.128.1 to 138.10.255.254138.10.255.25532,766
23138.11.0.0/17138.11.0.1 to 138.11.127.254138.11.127.25532,766
24138.11.128.0/17138.11.128.1 to 138.11.255.254138.11.255.25532,766
25138.12.0.0/17138.12.0.1 to 138.12.127.254138.12.127.25532,766
26138.12.128.0/17138.12.128.1 to 138.12.255.254138.12.255.25532,766
27138.13.0.0/17138.13.0.1 to 138.13.127.254138.13.127.25532,766
28138.13.128.0/17138.13.128.1 to 138.13.255.254138.13.255.25532,766
29138.14.0.0/17138.14.0.1 to 138.14.127.254138.14.127.25532,766
30138.14.128.0/17138.14.128.1 to 138.14.255.254138.14.255.25532,766
31138.15.0.0/17138.15.0.1 to 138.15.127.254138.15.127.25532,766
32138.15.128.0/17138.15.128.1 to 138.15.255.254138.15.255.25532,766
33138.16.0.0/17138.16.0.1 to 138.16.127.254138.16.127.25532,766
34138.16.128.0/17138.16.128.1 to 138.16.255.254138.16.255.25532,766
35138.17.0.0/17138.17.0.1 to 138.17.127.254138.17.127.25532,766
36138.17.128.0/17138.17.128.1 to 138.17.255.254138.17.255.25532,766
37138.18.0.0/17138.18.0.1 to 138.18.127.254138.18.127.25532,766
38138.18.128.0/17138.18.128.1 to 138.18.255.254138.18.255.25532,766
39138.19.0.0/17138.19.0.1 to 138.19.127.254138.19.127.25532,766
40138.19.128.0/17138.19.128.1 to 138.19.255.254138.19.255.25532,766
41138.20.0.0/17138.20.0.1 to 138.20.127.254138.20.127.25532,766
42138.20.128.0/17138.20.128.1 to 138.20.255.254138.20.255.25532,766
43138.21.0.0/17138.21.0.1 to 138.21.127.254138.21.127.25532,766
44138.21.128.0/17138.21.128.1 to 138.21.255.254138.21.255.25532,766
45138.22.0.0/17138.22.0.1 to 138.22.127.254138.22.127.25532,766
46138.22.128.0/17138.22.128.1 to 138.22.255.254138.22.255.25532,766
47138.23.0.0/17138.23.0.1 to 138.23.127.254138.23.127.25532,766
48138.23.128.0/17138.23.128.1 to 138.23.255.254138.23.255.25532,766
49138.24.0.0/17138.24.0.1 to 138.24.127.254138.24.127.25532,766
50138.24.128.0/17138.24.128.1 to 138.24.255.254138.24.255.25532,766
51138.25.0.0/17138.25.0.1 to 138.25.127.254138.25.127.25532,766
52138.25.128.0/17138.25.128.1 to 138.25.255.254138.25.255.25532,766
53138.26.0.0/17138.26.0.1 to 138.26.127.254138.26.127.25532,766
54138.26.128.0/17138.26.128.1 to 138.26.255.254138.26.255.25532,766
55138.27.0.0/17138.27.0.1 to 138.27.127.254138.27.127.25532,766
56138.27.128.0/17138.27.128.1 to 138.27.255.254138.27.255.25532,766
57138.28.0.0/17138.28.0.1 to 138.28.127.254138.28.127.25532,766
58138.28.128.0/17138.28.128.1 to 138.28.255.254138.28.255.25532,766
59138.29.0.0/17138.29.0.1 to 138.29.127.254138.29.127.25532,766
60138.29.128.0/17138.29.128.1 to 138.29.255.254138.29.255.25532,766
61138.30.0.0/17138.30.0.1 to 138.30.127.254138.30.127.25532,766
62138.30.128.0/17138.30.128.1 to 138.30.255.254138.30.255.25532,766
63138.31.0.0/17138.31.0.1 to 138.31.127.254138.31.127.25532,766
64138.31.128.0/17138.31.128.1 to 138.31.255.254138.31.255.25532,766
65138.32.0.0/17138.32.0.1 to 138.32.127.254138.32.127.25532,766
66138.32.128.0/17138.32.128.1 to 138.32.255.254138.32.255.25532,766
67138.33.0.0/17138.33.0.1 to 138.33.127.254138.33.127.25532,766
68138.33.128.0/17138.33.128.1 to 138.33.255.254138.33.255.25532,766
69138.34.0.0/17138.34.0.1 to 138.34.127.254138.34.127.25532,766
70138.34.128.0/17138.34.128.1 to 138.34.255.254138.34.255.25532,766
71138.35.0.0/17138.35.0.1 to 138.35.127.254138.35.127.25532,766
72138.35.128.0/17138.35.128.1 to 138.35.255.254138.35.255.25532,766
73138.36.0.0/17138.36.0.1 to 138.36.127.254138.36.127.25532,766
74138.36.128.0/17138.36.128.1 to 138.36.255.254138.36.255.25532,766
75138.37.0.0/17138.37.0.1 to 138.37.127.254138.37.127.25532,766
76138.37.128.0/17138.37.128.1 to 138.37.255.254138.37.255.25532,766
77138.38.0.0/17138.38.0.1 to 138.38.127.254138.38.127.25532,766
78138.38.128.0/17138.38.128.1 to 138.38.255.254138.38.255.25532,766
79138.39.0.0/17138.39.0.1 to 138.39.127.254138.39.127.25532,766
80138.39.128.0/17138.39.128.1 to 138.39.255.254138.39.255.25532,766
81138.40.0.0/17138.40.0.1 to 138.40.127.254138.40.127.25532,766
82138.40.128.0/17138.40.128.1 to 138.40.255.254138.40.255.25532,766
83138.41.0.0/17138.41.0.1 to 138.41.127.254138.41.127.25532,766
84138.41.128.0/17138.41.128.1 to 138.41.255.254138.41.255.25532,766
85138.42.0.0/17138.42.0.1 to 138.42.127.254138.42.127.25532,766
86138.42.128.0/17138.42.128.1 to 138.42.255.254138.42.255.25532,766
87138.43.0.0/17138.43.0.1 to 138.43.127.254138.43.127.25532,766
88138.43.128.0/17138.43.128.1 to 138.43.255.254138.43.255.25532,766
89138.44.0.0/17138.44.0.1 to 138.44.127.254138.44.127.25532,766
90138.44.128.0/17138.44.128.1 to 138.44.255.254138.44.255.25532,766
91138.45.0.0/17138.45.0.1 to 138.45.127.254138.45.127.25532,766
92138.45.128.0/17138.45.128.1 to 138.45.255.254138.45.255.25532,766
93138.46.0.0/17138.46.0.1 to 138.46.127.254138.46.127.25532,766
94138.46.128.0/17138.46.128.1 to 138.46.255.254138.46.255.25532,766
95138.47.0.0/17138.47.0.1 to 138.47.127.254138.47.127.25532,766
96138.47.128.0/17138.47.128.1 to 138.47.255.254138.47.255.25532,766
97138.48.0.0/17138.48.0.1 to 138.48.127.254138.48.127.25532,766
98138.48.128.0/17138.48.128.1 to 138.48.255.254138.48.255.25532,766
99138.49.0.0/17138.49.0.1 to 138.49.127.254138.49.127.25532,766
100138.49.128.0/17138.49.128.1 to 138.49.255.254138.49.255.25532,766
101138.50.0.0/17138.50.0.1 to 138.50.127.254138.50.127.25532,766
102138.50.128.0/17138.50.128.1 to 138.50.255.254138.50.255.25532,766
103138.51.0.0/17138.51.0.1 to 138.51.127.254138.51.127.25532,766
104138.51.128.0/17138.51.128.1 to 138.51.255.254138.51.255.25532,766
105138.52.0.0/17138.52.0.1 to 138.52.127.254138.52.127.25532,766
106138.52.128.0/17138.52.128.1 to 138.52.255.254138.52.255.25532,766
107138.53.0.0/17138.53.0.1 to 138.53.127.254138.53.127.25532,766
108138.53.128.0/17138.53.128.1 to 138.53.255.254138.53.255.25532,766
109138.54.0.0/17138.54.0.1 to 138.54.127.254138.54.127.25532,766
110138.54.128.0/17138.54.128.1 to 138.54.255.254138.54.255.25532,766
111138.55.0.0/17138.55.0.1 to 138.55.127.254138.55.127.25532,766
112138.55.128.0/17138.55.128.1 to 138.55.255.254138.55.255.25532,766
113138.56.0.0/17138.56.0.1 to 138.56.127.254138.56.127.25532,766
114138.56.128.0/17138.56.128.1 to 138.56.255.254138.56.255.25532,766
115138.57.0.0/17138.57.0.1 to 138.57.127.254138.57.127.25532,766
116138.57.128.0/17138.57.128.1 to 138.57.255.254138.57.255.25532,766
117138.58.0.0/17138.58.0.1 to 138.58.127.254138.58.127.25532,766
118138.58.128.0/17138.58.128.1 to 138.58.255.254138.58.255.25532,766
119138.59.0.0/17138.59.0.1 to 138.59.127.254138.59.127.25532,766
120138.59.128.0/17138.59.128.1 to 138.59.255.254138.59.255.25532,766
121138.60.0.0/17138.60.0.1 to 138.60.127.254138.60.127.25532,766
122138.60.128.0/17138.60.128.1 to 138.60.255.254138.60.255.25532,766
123138.61.0.0/17138.61.0.1 to 138.61.127.254138.61.127.25532,766
124138.61.128.0/17138.61.128.1 to 138.61.255.254138.61.255.25532,766
125138.62.0.0/17138.62.0.1 to 138.62.127.254138.62.127.25532,766
126138.62.128.0/17138.62.128.1 to 138.62.255.254138.62.255.25532,766
127138.63.0.0/17138.63.0.1 to 138.63.127.254138.63.127.25532,766
128138.63.128.0/17138.63.128.1 to 138.63.255.254138.63.255.25532,766
129138.64.0.0/17138.64.0.1 to 138.64.127.254138.64.127.25532,766
130138.64.128.0/17138.64.128.1 to 138.64.255.254138.64.255.25532,766
131138.65.0.0/17138.65.0.1 to 138.65.127.254138.65.127.25532,766
132138.65.128.0/17138.65.128.1 to 138.65.255.254138.65.255.25532,766
133138.66.0.0/17138.66.0.1 to 138.66.127.254138.66.127.25532,766
134138.66.128.0/17138.66.128.1 to 138.66.255.254138.66.255.25532,766
135138.67.0.0/17138.67.0.1 to 138.67.127.254138.67.127.25532,766
136138.67.128.0/17138.67.128.1 to 138.67.255.254138.67.255.25532,766
137138.68.0.0/17138.68.0.1 to 138.68.127.254138.68.127.25532,766
138138.68.128.0/17138.68.128.1 to 138.68.255.254138.68.255.25532,766
139138.69.0.0/17138.69.0.1 to 138.69.127.254138.69.127.25532,766
140138.69.128.0/17138.69.128.1 to 138.69.255.254138.69.255.25532,766
141138.70.0.0/17138.70.0.1 to 138.70.127.254138.70.127.25532,766
142138.70.128.0/17138.70.128.1 to 138.70.255.254138.70.255.25532,766
143138.71.0.0/17138.71.0.1 to 138.71.127.254138.71.127.25532,766
144138.71.128.0/17138.71.128.1 to 138.71.255.254138.71.255.25532,766
145138.72.0.0/17138.72.0.1 to 138.72.127.254138.72.127.25532,766
146138.72.128.0/17138.72.128.1 to 138.72.255.254138.72.255.25532,766
147138.73.0.0/17138.73.0.1 to 138.73.127.254138.73.127.25532,766
148138.73.128.0/17138.73.128.1 to 138.73.255.254138.73.255.25532,766
149138.74.0.0/17138.74.0.1 to 138.74.127.254138.74.127.25532,766
150138.74.128.0/17138.74.128.1 to 138.74.255.254138.74.255.25532,766
151138.75.0.0/17138.75.0.1 to 138.75.127.254138.75.127.25532,766
152138.75.128.0/17138.75.128.1 to 138.75.255.254138.75.255.25532,766
153138.76.0.0/17138.76.0.1 to 138.76.127.254138.76.127.25532,766
154138.76.128.0/17138.76.128.1 to 138.76.255.254138.76.255.25532,766
155138.77.0.0/17138.77.0.1 to 138.77.127.254138.77.127.25532,766
156138.77.128.0/17138.77.128.1 to 138.77.255.254138.77.255.25532,766
157138.78.0.0/17138.78.0.1 to 138.78.127.254138.78.127.25532,766
158138.78.128.0/17138.78.128.1 to 138.78.255.254138.78.255.25532,766
159138.79.0.0/17138.79.0.1 to 138.79.127.254138.79.127.25532,766
160138.79.128.0/17138.79.128.1 to 138.79.255.254138.79.255.25532,766
161138.80.0.0/17138.80.0.1 to 138.80.127.254138.80.127.25532,766
162138.80.128.0/17138.80.128.1 to 138.80.255.254138.80.255.25532,766
163138.81.0.0/17138.81.0.1 to 138.81.127.254138.81.127.25532,766
164138.81.128.0/17138.81.128.1 to 138.81.255.254138.81.255.25532,766
165138.82.0.0/17138.82.0.1 to 138.82.127.254138.82.127.25532,766
166138.82.128.0/17138.82.128.1 to 138.82.255.254138.82.255.25532,766
167138.83.0.0/17138.83.0.1 to 138.83.127.254138.83.127.25532,766
168138.83.128.0/17138.83.128.1 to 138.83.255.254138.83.255.25532,766
169138.84.0.0/17138.84.0.1 to 138.84.127.254138.84.127.25532,766
170138.84.128.0/17138.84.128.1 to 138.84.255.254138.84.255.25532,766
171138.85.0.0/17138.85.0.1 to 138.85.127.254138.85.127.25532,766
172138.85.128.0/17138.85.128.1 to 138.85.255.254138.85.255.25532,766
173138.86.0.0/17138.86.0.1 to 138.86.127.254138.86.127.25532,766
174138.86.128.0/17138.86.128.1 to 138.86.255.254138.86.255.25532,766
175138.87.0.0/17138.87.0.1 to 138.87.127.254138.87.127.25532,766
176138.87.128.0/17138.87.128.1 to 138.87.255.254138.87.255.25532,766
177138.88.0.0/17138.88.0.1 to 138.88.127.254138.88.127.25532,766
178138.88.128.0/17138.88.128.1 to 138.88.255.254138.88.255.25532,766
179138.89.0.0/17138.89.0.1 to 138.89.127.254138.89.127.25532,766
180138.89.128.0/17138.89.128.1 to 138.89.255.254138.89.255.25532,766
181138.90.0.0/17138.90.0.1 to 138.90.127.254138.90.127.25532,766
182138.90.128.0/17138.90.128.1 to 138.90.255.254138.90.255.25532,766
183138.91.0.0/17138.91.0.1 to 138.91.127.254138.91.127.25532,766
184138.91.128.0/17138.91.128.1 to 138.91.255.254138.91.255.25532,766
185138.92.0.0/17138.92.0.1 to 138.92.127.254138.92.127.25532,766
186138.92.128.0/17138.92.128.1 to 138.92.255.254138.92.255.25532,766
187138.93.0.0/17138.93.0.1 to 138.93.127.254138.93.127.25532,766
188138.93.128.0/17138.93.128.1 to 138.93.255.254138.93.255.25532,766
189138.94.0.0/17138.94.0.1 to 138.94.127.254138.94.127.25532,766
190138.94.128.0/17138.94.128.1 to 138.94.255.254138.94.255.25532,766
191138.95.0.0/17138.95.0.1 to 138.95.127.254138.95.127.25532,766
192138.95.128.0/17138.95.128.1 to 138.95.255.254138.95.255.25532,766
193138.96.0.0/17138.96.0.1 to 138.96.127.254138.96.127.25532,766
194138.96.128.0/17138.96.128.1 to 138.96.255.254138.96.255.25532,766
195138.97.0.0/17138.97.0.1 to 138.97.127.254138.97.127.25532,766
196138.97.128.0/17138.97.128.1 to 138.97.255.254138.97.255.25532,766
197138.98.0.0/17138.98.0.1 to 138.98.127.254138.98.127.25532,766
198138.98.128.0/17138.98.128.1 to 138.98.255.254138.98.255.25532,766
199138.99.0.0/17138.99.0.1 to 138.99.127.254138.99.127.25532,766
200138.99.128.0/17138.99.128.1 to 138.99.255.254138.99.255.25532,766
201138.100.0.0/17138.100.0.1 to 138.100.127.254138.100.127.25532,766
202138.100.128.0/17138.100.128.1 to 138.100.255.254138.100.255.25532,766
203138.101.0.0/17138.101.0.1 to 138.101.127.254138.101.127.25532,766
204138.101.128.0/17138.101.128.1 to 138.101.255.254138.101.255.25532,766
205138.102.0.0/17138.102.0.1 to 138.102.127.254138.102.127.25532,766
206138.102.128.0/17138.102.128.1 to 138.102.255.254138.102.255.25532,766
207138.103.0.0/17138.103.0.1 to 138.103.127.254138.103.127.25532,766
208138.103.128.0/17138.103.128.1 to 138.103.255.254138.103.255.25532,766
209138.104.0.0/17138.104.0.1 to 138.104.127.254138.104.127.25532,766
210138.104.128.0/17138.104.128.1 to 138.104.255.254138.104.255.25532,766
211138.105.0.0/17138.105.0.1 to 138.105.127.254138.105.127.25532,766
212138.105.128.0/17138.105.128.1 to 138.105.255.254138.105.255.25532,766
213138.106.0.0/17138.106.0.1 to 138.106.127.254138.106.127.25532,766
214138.106.128.0/17138.106.128.1 to 138.106.255.254138.106.255.25532,766
215138.107.0.0/17138.107.0.1 to 138.107.127.254138.107.127.25532,766
216138.107.128.0/17138.107.128.1 to 138.107.255.254138.107.255.25532,766
217138.108.0.0/17138.108.0.1 to 138.108.127.254138.108.127.25532,766
218138.108.128.0/17138.108.128.1 to 138.108.255.254138.108.255.25532,766
219138.109.0.0/17138.109.0.1 to 138.109.127.254138.109.127.25532,766
220138.109.128.0/17138.109.128.1 to 138.109.255.254138.109.255.25532,766
221138.110.0.0/17138.110.0.1 to 138.110.127.254138.110.127.25532,766
222138.110.128.0/17138.110.128.1 to 138.110.255.254138.110.255.25532,766
223138.111.0.0/17138.111.0.1 to 138.111.127.254138.111.127.25532,766
224138.111.128.0/17138.111.128.1 to 138.111.255.254138.111.255.25532,766
225138.112.0.0/17138.112.0.1 to 138.112.127.254138.112.127.25532,766
226138.112.128.0/17138.112.128.1 to 138.112.255.254138.112.255.25532,766
227138.113.0.0/17138.113.0.1 to 138.113.127.254138.113.127.25532,766
228138.113.128.0/17138.113.128.1 to 138.113.255.254138.113.255.25532,766
229138.114.0.0/17138.114.0.1 to 138.114.127.254138.114.127.25532,766
230138.114.128.0/17138.114.128.1 to 138.114.255.254138.114.255.25532,766
231138.115.0.0/17138.115.0.1 to 138.115.127.254138.115.127.25532,766
232138.115.128.0/17138.115.128.1 to 138.115.255.254138.115.255.25532,766
233138.116.0.0/17138.116.0.1 to 138.116.127.254138.116.127.25532,766
234138.116.128.0/17138.116.128.1 to 138.116.255.254138.116.255.25532,766
235138.117.0.0/17138.117.0.1 to 138.117.127.254138.117.127.25532,766
236138.117.128.0/17138.117.128.1 to 138.117.255.254138.117.255.25532,766
237138.118.0.0/17138.118.0.1 to 138.118.127.254138.118.127.25532,766
238138.118.128.0/17138.118.128.1 to 138.118.255.254138.118.255.25532,766
239138.119.0.0/17138.119.0.1 to 138.119.127.254138.119.127.25532,766
240138.119.128.0/17138.119.128.1 to 138.119.255.254138.119.255.25532,766
241138.120.0.0/17138.120.0.1 to 138.120.127.254138.120.127.25532,766
242138.120.128.0/17138.120.128.1 to 138.120.255.254138.120.255.25532,766
243138.121.0.0/17138.121.0.1 to 138.121.127.254138.121.127.25532,766
244138.121.128.0/17138.121.128.1 to 138.121.255.254138.121.255.25532,766
245138.122.0.0/17138.122.0.1 to 138.122.127.254138.122.127.25532,766
246138.122.128.0/17138.122.128.1 to 138.122.255.254138.122.255.25532,766
247138.123.0.0/17138.123.0.1 to 138.123.127.254138.123.127.25532,766
248138.123.128.0/17138.123.128.1 to 138.123.255.254138.123.255.25532,766
249138.124.0.0/17138.124.0.1 to 138.124.127.254138.124.127.25532,766
250138.124.128.0/17138.124.128.1 to 138.124.255.254138.124.255.25532,766
251138.125.0.0/17138.125.0.1 to 138.125.127.254138.125.127.25532,766
252138.125.128.0/17138.125.128.1 to 138.125.255.254138.125.255.25532,766
253138.126.0.0/17138.126.0.1 to 138.126.127.254138.126.127.25532,766
254138.126.128.0/17138.126.128.1 to 138.126.255.254138.126.255.25532,766
255138.127.0.0/17138.127.0.1 to 138.127.127.254138.127.127.25532,766
256138.127.128.0/17138.127.128.1 to 138.127.255.254138.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses